SphinxClient::status
Swish
SphinxClient
PHP Manual

# SphinxClient::updateAttributes

(PECL sphinx >= 0.1.0)

SphinxClient::updateAttributes — Modifie les attributs d'un document

### Description

public int SphinxClient::updateAttributes ( string `$index` , array `$attributes` , array `$values` )

Moifie un attribut dans un document.

### Liste de paramètres

`index`

  Le nom de l'index à modifier.

`attributes`

  Un tableau de noms d'attributs, qui liste les attributs qui doivent être modifiées.

`values`

  Un tableau associatif contenant les identifiants de documents comme clé, et un tableau d'attribut avec le nom des attributs et leur valeur.

### Valeurs de retour

Retourne le nombre de documents réellement modifiées (0 ou plus), en cas de succès, et `FALSE` on failure.

SphinxClient::status
Swish
SphinxClient
PHP Manual